%global pkg_name leksah-server

%global common_summary leksah-server for Leksah IDE

%global common_description %{common_summary}

# add any Haskell library dependencies here:
%global ghc_pkg_deps ghc-haddock-devel,ghc-process-leksah-devel,ghc-hslogger-devel,ghc-ltk-devel,ghc-binary-shared-devel

%bcond_with shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        0.8.0.6
Release:        1%{?dist}
Summary:        Haskell %{pkg_name}

Group:          System Development/IDE
License:        GPL
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

Requires: atk, glibc, cairo, fontconfig, freetype, gtk2, glib2, gmp, gtksourceview2, pango, bash, ghc, cabal-install


%description
%{common_description}


%ghc_lib_package


%prep
%setup -q


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
rm -rf $RPM_BUILD_ROOT
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/leksahecho
%attr(644,root,root) %{_datadir}/%{pkg_name}-%{version}/data/prefscoll.lkshp


%changelog
* Fri May 28 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.8.0.6-1
- initial version for Fedora 13

* Wed May 26 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
